Interface IJobsClient
Provides methods to interact with jobs.
public interface IJobsClient
Methods
CancelJob(Guid)
Cancels the specified job.
HttpResponseMessage CancelJob(Guid jobId)
Parameters
jobIdGuid
Returns
CancelJobAsync(Guid, CancellationToken)
Cancels the specified job.
Task<HttpResponseMessage> CancelJobAsync(Guid jobId, CancellationToken cancellationToken = default)
Parameters
jobIdGuidcancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
ClearCache(string, DateTime, DateTime)
Clears the aggregation data cache for the specified period of time.
Job ClearCache(string catalogId, DateTime begin, DateTime end)
Parameters
catalogIdstringThe catalog identifier.
beginDateTimeStart date/time.
endDateTimeEnd date/time.
Returns
ClearCacheAsync(string, DateTime, DateTime, CancellationToken)
Clears the aggregation data cache for the specified period of time.
Task<Job> ClearCacheAsync(string catalogId, DateTime begin, DateTime end, CancellationToken cancellationToken = default)
Parameters
catalogIdstringThe catalog identifier.
beginDateTimeStart date/time.
endDateTimeEnd date/time.
cancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
Export(ExportParameters)
Creates a new export job.
Job Export(ExportParameters parameters)
Parameters
parametersExportParametersExport parameters.
Returns
ExportAsync(ExportParameters, CancellationToken)
Creates a new export job.
Task<Job> ExportAsync(ExportParameters parameters, CancellationToken cancellationToken = default)
Parameters
parametersExportParametersExport parameters.
cancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
GetJobStatus(Guid)
Gets the status of the specified job.
JobStatus GetJobStatus(Guid jobId)
Parameters
jobIdGuid
Returns
GetJobStatusAsync(Guid, CancellationToken)
Gets the status of the specified job.
Task<JobStatus> GetJobStatusAsync(Guid jobId, CancellationToken cancellationToken = default)
Parameters
jobIdGuidcancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
GetJobs()
Gets a list of jobs.
IReadOnlyList<Job> GetJobs()
Returns
GetJobsAsync(CancellationToken)
Gets a list of jobs.
Task<IReadOnlyList<Job>> GetJobsAsync(CancellationToken cancellationToken = default)
Parameters
cancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
RefreshDatabase()
Creates a new job which reloads all extensions and resets the resource catalog.
Job RefreshDatabase()
Returns
RefreshDatabaseAsync(CancellationToken)
Creates a new job which reloads all extensions and resets the resource catalog.
Task<Job> RefreshDatabaseAsync(CancellationToken cancellationToken = default)
Parameters
cancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
SyncGit(GitSyncRequest)
Creates a new Git synchronization job.
Job SyncGit(GitSyncRequest parameters)
Parameters
parametersGitSyncRequest
Returns
SyncGitAsync(GitSyncRequest, CancellationToken)
Creates a new Git synchronization job.
Task<Job> SyncGitAsync(GitSyncRequest parameters, CancellationToken cancellationToken = default)
Parameters
parametersGitSyncRequestcancellationTokenCancellationTokenThe token to cancel the current operation.